#include <sys/vnode.h>



/*vn_getpath

int vn_getpath(
    struct vnode *vp,
    char *pathbuf,
    int *len);  
Discussion 

Description forthcoming*/

int vn_getpath(
    struct vnode *vp,
    char *pathbuf,
    int *len){};  


/*vnode_vtype

enum vtype vnode_vtype(
    vnode_t);  
Discussion 

Description forthcoming*/
enum vtype vnode_vtype(
    vnode_t  a){};


/*vfs_context_ucred

ucred_t vfs_context_ucred(
    vfs_context_t);  
Discussion 

Description forthcoming*/

ucred_t vfs_context_ucred(
    vfs_context_t a ){};  


/*vnode_fsnode

void * vnode_fsnode(
    vnode_t);  
Discussion 

Description forthcoming*/
void * vnode_fsnode(
    vnode_t a ){};  //hys


/*vnode_removefsref

int vnode_removefsref(
    vnode_t);  
Discussion 

Description forthcoming*/

int vnode_removefsref(
    vnode_t a){};  

/*vnode_clearfsnode

void vnode_clearfsnode(
    vnode_t);  
Discussion 

Description forthcoming*/
void vnode_clearfsnode(
    vnode_t a );  


/*vnode_put

int vnode_put(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_put(
    vnode_t a ){};  

/*vnode_isvroot

int vnode_isvroot(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_isvroot(
    vnode_t a ){};  


/*vnode_isnocache

int vnode_isnocache(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_isnocache(
    vnode_t a){};

/*vnode_isreg

int vnode_isreg(
    vnode_t);  
Discussion 

Description forthcoming*/

int vnode_isreg(
    vnode_t a ){};  

/*vnode_ref

int vnode_ref(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_ref(
    vnode_t a){};  

/*vnode_specrdev

dev_t vnode_specrdev(
    vnode_t);  
Discussion 

Description forthcoming*/
dev_t vnode_specrdev(
    vnode_t a){};  



/*vnode_rele

void vnode_rele(
    vnode_t);  
Discussion 

Description forthcoming*/
void vnode_rele(
    vnode_t a ){};  

  





